NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.SheetMetal.GussetBuilder Class Reference

Represents a NX Sheet Metal NXOpen.Features.Gusset builder More...

Inheritance diagram for NXOpen.Features.SheetMetal.GussetBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  PlacementTypes { Single, Fit, Fill, Fixed }
 This enum represents the different options for placing an automatic profile Gusset. More...
 
enum  Shapes { Square, Round }
 This enum represents the two different shapes for Gusset. More...
 
enum  Types { AutomaticProfile, UserDefinedProfile }
 This enum represents the two Gusset Feature types. More...
 
enum  WidthSides { Side1, Side2, Symmetric }
 This enum represents the different options for thickening the user defined profile Gusset. More...
 

Public Member Functions

unsafe void AlternateSolution ()
 Cycles the available solutions when a user defined profile intersects the solid body. More...
 
unsafe bool GetIsPreNx10 ()
 Whether this is a pre-NX10 gusset. More...
 
unsafe NXOpen.Vector3d GetPlacementOriginAndDirection (out NXOpen.Point3d origin)
 Get the placement origin and direction. More...
 
unsafe void GetStartEdgeCandidates (out NXOpen.Edge[] candidateEdges)
 Get the edges on the bend face that can be selected as Start Edge. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.SelectFace BendFace [get]
 Returns the bend face More...
 
unsafe NXOpen.Expression CornerRadius [get]
 Returns the corner radius More...
 
unsafe NXOpen.Plane DatumPlane [get, set]
 Returns or sets the plane of the gusset profile. More...
 
unsafe NXOpen.Expression Depth [get]
 Returns the depth More...
 
unsafe NXOpen.Expression DieRadius [get]
 Returns the die radius value of the sharp edges of the bottom face. More...
 
unsafe int PlacementCount [get, set]
 Returns or sets the placement count More...
 
unsafe NXOpen.Expression PlacementDistance [get]
 Returns the placement distance More...
 
unsafe NXOpen.Expression PlacementSpacing [get]
 Returns the placement spacing More...
 
unsafe
NXOpen.Features.SheetMetal.GussetBuilder.PlacementTypes 
PlacementType [get, set]
 Returns or sets the placement type More...
 
unsafe NXOpen.Expression PunchRadius [get]
 Returns the punch radius value More...
 
unsafe NXOpen.Section Section [get]
 Returns the section More...
 
unsafe
NXOpen.Features.SheetMetal.GussetBuilder.Shapes 
Shape [get, set]
 Returns or sets the shape More...
 
unsafe NXOpen.Expression SideAngle [get]
 Returns the side angle. More...
 
unsafe NXOpen.SelectEdge StartEdge [get]
 Returns the start edge More...
 
unsafe
NXOpen.Features.SheetMetal.GussetBuilder.Types 
Type [get, set]
 Returns or sets the type of Gusset feature More...
 
unsafe NXOpen.Expression Width [get]
 Returns the width value for the Gusset More...
 
unsafe
NXOpen.Features.SheetMetal.GussetBuilder.WidthSides 
WidthSide [get, set]
 Returns or sets the width side More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NX Sheet Metal NXOpen.Features.Gusset builder

To create a new instance of this class, use NXOpen.Features.SheetMetal.SheetmetalManager.CreateGussetBuilder

Default values.

Property Value

CornerRadius.Value

1 (millimeters part), 0.05 (inches part)

Depth.Value

10 (millimeters part), 1 (inches part)

DieRadius.Value

2 (millimeters part), 0.1 (inches part)

PlacementCount

2

PlacementDistance.Value

10 (millimeters part), 1 (inches part)

PlacementSpacing.Value

20 (millimeters part), 2 (inches part)

PlacementType

Single

PunchRadius.Value

2 (millimeters part), 0.1 (inches part)

Shape

Square

SideAngle.Value

0

Width.Value

10 (millimeters part), 1 (inches part)

WidthSide

Side1

Created in NX7.5.0

Member Enumeration Documentation

This enum represents the different options for placing an automatic profile Gusset.

Enumerator
Single 

One Gusset will be created at an offset from an edge on the selected bend face.

Fit 

Users will specify the number of occurances of Gusset on the selected bend face and software will calculate the spacing.

Fill 

Users will specify the spacing of Gussets on the selected bend face and software will calculate the number of occurances.

Fixed 

Users will specify the number of occurances and the spacing for Gussets on the selected bend face.

This enum represents the two different shapes for Gusset.

Enumerator
Square 

Specifies a square shape for the Gusset

Round 

Specifies a round shape for the Gusset

This enum represents the two Gusset Feature types.

Enumerator
AutomaticProfile 

Gusset(s) will be created between the planar faces adjacent to the selected bend face.

UserDefinedProfile 

Gusset will be created using a profile defined by the user.

This enum represents the different options for thickening the user defined profile Gusset.

Enumerator
Side1 

The Gusset will be created on the side of plane normal of the user defined profile.

Side2 

The Gusset will be created on the opposite side of the plane normal of the user defined profile.

Symmetric 

The Gusset will be created on both sides of the plane of the user defined profile.

Member Function Documentation

unsafe void NXOpen.Features.SheetMetal.GussetBuilder.AlternateSolution ( )
inline

Cycles the available solutions when a user defined profile intersects the solid body.

If there is only one working solution then it will be automatically selected and this method will not do anything.

Created in NX7.5.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

unsafe bool NXOpen.Features.SheetMetal.GussetBuilder.GetIsPreNx10 ( )
inline

Whether this is a pre-NX10 gusset.

Use this to determine whether the gusset is created prior to NX10.

Created in NX10.0.0

License requirements: None.

Returns
unsafe NXOpen.Vector3d NXOpen.Features.SheetMetal.GussetBuilder.GetPlacementOriginAndDirection ( out NXOpen.Point3d  origin)
inline

Get the placement origin and direction.

Only use this option to edit gussets created prior to NX10. Use NXOpen.Features.SheetMetal.GussetBuilder.DatumPlane to locate automatic profile gussets from NX10 onwards. Get the point from which the placement distance will be measured and the direction along which the positive distance is defined.

Created in NX7.5.0

License requirements: None.

Parameters
originStart point from which placement distance is measured.
Returns
Direction along which the placement distance is measured.
unsafe void NXOpen.Features.SheetMetal.GussetBuilder.GetStartEdgeCandidates ( out NXOpen.Edge[]  candidateEdges)
inline

Get the edges on the bend face that can be selected as Start Edge.

Only use this option to edit gussets created prior to NX10. Use NXOpen.Features.SheetMetal.GussetBuilder.DatumPlane to locate automatic profile gussets from NX10 onwards. Get the edges on the bend face that can be selected as Start Edge. If there is no Bend Face, then no edges will be returned.

Created in NX7.5.0

License requirements: None.

Parameters
candidateEdgesAn array of edges that are valid for selection as start edge

Property Documentation

unsafe NXOpen.SelectFace NXOpen.Features.SheetMetal.GussetBuilder.BendFace
get

Returns the bend face

Selects the bend face along which the gusset is placed.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.GussetBuilder.CornerRadius
get

Returns the corner radius

Only use this option to edit gussets created prior to NX10. From NX10 onwards, this is going to be automatically determined by adding the material thickness to the NXOpen.Features.SheetMetal.GussetBuilder.PunchRadius This value is used only for the NXOpen.Features.SheetMetal.GussetBuilder.Shapes.Square shape. The value must be greater than or equal to zero.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Plane NXOpen.Features.SheetMetal.GussetBuilder.DatumPlane
getset

Returns or sets the plane of the gusset profile.

Returns the datum plane on the bend face that contains the profile of the automatic profile gusset.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.GussetBuilder.Depth
get

Returns the depth

This value is used for the automatic profile Gussets. It represents the distance from the outer bend face of the selected bends along the bisector of the planar faces adjacent to the outer bend face.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.GussetBuilder.DieRadius
get

Returns the die radius value of the sharp edges of the bottom face.

The value must be greater than or equal to zero.

Created in NX7.5.0

License requirements: None.

unsafe int NXOpen.Features.SheetMetal.GussetBuilder.PlacementCount
getset

Returns or sets the placement count

Only use this option to edit gussets created prior to NX10. Use patterns to create multiple gussets from NX10 onwards. This value is used if the NXOpen.Features.SheetMetal.GussetBuilder.PlacementTypes is set to NXOpen.Features.SheetMetal.GussetBuilder.PlacementTypes.Fit or NXOpen.Features.SheetMetal.GussetBuilder.PlacementTypes.Fixed . It represents the number of occurances of the automatic profile Gusset to create on the selected bend face. The count must be greater than zero for NXOpen.Features.SheetMetal.GussetBuilder.PlacementTypes.Fit and greater than one for NXOpen.Features.SheetMetal.GussetBuilder.PlacementTypes.Fixed .

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.GussetBuilder.PlacementDistance
get

Returns the placement distance

Only use this option to edit gussets created prior to NX10. Use NXOpen.Features.SheetMetal.GussetBuilder.DatumPlane to locate automatic profile gussets from NX10 onwards. If the NXOpen.Features.SheetMetal.GussetBuilder.PlacementTypes is set to NXOpen.Features.SheetMetal.GussetBuilder.PlacementTypes.Single , then this option represents the location of the automatic profile Gusset from one of the ends of the selected bend face. The distance is measured in a direction going from the start end to the other end. Users can specify which end of the selected bend face to use as the start.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.GussetBuilder.PlacementSpacing
get

Returns the placement spacing

Only use this option to edit gussets created prior to NX10. Use patterns to create multiple gussets from NX10 onwards. This value is used if the NXOpen.Features.SheetMetal.GussetBuilder.PlacementTypes is set to NXOpen.Features.SheetMetal.GussetBuilder.PlacementTypes.Fill or NXOpen.Features.SheetMetal.GussetBuilder.PlacementTypes.Fixed . It represents the spacing between the automatic profile Gussets to create on the selected bend face.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Features.SheetMetal.GussetBuilder.PlacementTypes NXOpen.Features.SheetMetal.GussetBuilder.PlacementType
getset

Returns or sets the placement type

Only use this option to edit gussets created prior to NX10. Use patterns to create multiple gussets from NX10 onwards. Specify the Gusset placement option. See the description of NXOpen.Features.SheetMetal.GussetBuilder.PlacementTypes elements for details.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.GussetBuilder.PunchRadius
get

Returns the punch radius value

The application of the punch radius has changed from NX10 onwards, to ensure material thickness is constant in the gusset. See the legend in the gusset dialog for more information.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.SheetMetal.GussetBuilder.Section
get

Returns the section

This section object contains a planar set of connected curves that will be used to create a Gusset of type NXOpen.Features.SheetMetal.GussetBuilder.Types.UserDefinedProfile . This profile can be closed or open. If it is open, then the end points can touch face(s). The profile must not intersect the solid body. If an open profile does not intersect or touch any face, each end will be extended until it touches a face.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Features.SheetMetal.GussetBuilder.Shapes NXOpen.Features.SheetMetal.GussetBuilder.Shape
getset

Returns or sets the shape

See NXOpen.Features.SheetMetal.GussetBuilder.Shapes for details.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.GussetBuilder.SideAngle
get

Returns the side angle.

The value must be greater than or equal to zero.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.SelectEdge NXOpen.Features.SheetMetal.GussetBuilder.StartEdge
get

Returns the start edge

Only use this option to edit gussets created prior to NX10. Use NXOpen.Features.SheetMetal.GussetBuilder.DatumPlane to locate automatic profile gussets from NX10 onwards. Selects the edge on the bend face to determine the gusset offset direction.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Features.SheetMetal.GussetBuilder.Types NXOpen.Features.SheetMetal.GussetBuilder.Type
getset

Returns or sets the type of Gusset feature

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.GussetBuilder.Width
get

Returns the width value for the Gusset

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Features.SheetMetal.GussetBuilder.WidthSides NXOpen.Features.SheetMetal.GussetBuilder.WidthSide
getset

Returns or sets the width side

Defines the side of the profile to which material should be added or from which material should be removed to construct the feature.

The side option is not required when the profile is closed.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.